Subject: FVWM: Shuffle

From: Marcus Lundblad <[email-masked]>
Date: Thu, 7 Mar 2002 12:45:21 +0100 (CET)

I tried to implement funcions for window shuffling.
What I would like is a function "Shuffle up" that brings the bottom window
to the top and a function "Shuffle down" that brings the topmost window to
the bottom. This would be within the current desk (could be optional).

What I have come up with is this:

Key Up          A       M     Next [CurrentPage] SwitchWindow
Key Down        A       M     Prev [CurrentPage] SwitchWindo

AddToFunc SwitchWindow
+ I Focus
+ I Raise
+ I WarpToWindow 50 50

This is is more like the famous "Alt-Tab" (of "another" GUI...)

I tried to search for "Layer" in the man-page. I found commands to change
the layer of the current window. Though with sloppy focus, the active
window is not nessarily on top.

I guess the solution is quite simple, though I can seem to find it...

//Marcus 

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 7 Mar 2002 21:36:22 +0000

> I guess the solution is quite simple, though I can seem to find it...

I don't exactly understand how it should behave, "shuffle" may be
understood differently. Try to play with (Raised) condition, like:

  Next ( Raised) Lower
  Next (!Raised) Raise

There is no (Lowered) condition. Also see this similar message:

  http://www.hpc.uh.edu/fvwm/archive/0202/msg00259.html

Regards,
Mikhael.